<template>
    <header class="w-header">
        <div class="w-header__column">
            <img
                src="@/assets/icons/logo_1.svg"
                class=""
                alt="Fast Service Logo"
            />
            <span class="c-latin-charm">
                FastService
            </span>
        </div>
        <div class="w-header__column">
            <lang-swither
                full-name
            />
        </div>
    </header>
</template>

<script>
import LangSwither from '@/entities/LangSwitcher';

export default {
    name: 'HeaderWidget',
    components: {
        LangSwither,
    }
}
</script>

<style lang="scss" scoped>
@import '@/scss/mixins/sflx.scss';

.w-header {
    width: 100%;
    @include sflx($alitems: center);
    :not(:first-child) {
        margin-left: auto;
    }
}

.w-header__column {
    @include sflx($alitems: center);
    span {
        font-weight: 700;
    }
}
</style>